/*
 * Copyright (c) 2009 by Oleg Trifonov <otrifonow@gmail.com>
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of either the GNU General Public License version 2
 * or the GNU Lesser General Public License version 2.1, both as
 * published by the Free Software Foundation.
 */


PROGMEM const uint8_t default_melody_data[] = {
	70, 6,  0, 6,  61, 6,  70, 6,  53, 6,  0, 6,  70, 6,  53, 6,  
	49, 6,  0, 6,  53, 6,  49, 6,  58, 12,  0, 6,  41, 6,  58, 6,  
	49, 6,  58, 6,  60, 6,  58, 6,  60, 6,  58, 6,  45, 6,  60, 6,  
	51, 6,  60, 6,  49, 6,  0, 6,  58, 6
};


void playDefaultMelody() {
	for ( uint16_t i = 0; i < sizeof(default_melody_data); ) {
		uint8_t note = pgm_read_word(&default_melody_data[i++]);
		uint8_t duration = pgm_read_word(&default_melody_data[i++]);
		playNote(note, duration);
	}

}
